library best_baltanem;

//////// Base Widgets ////////
export 'src/base_widget/base_error.dart';
export 'src/base_widget/base_model.dart';
export 'src/base_widget/base_state.dart';
export 'src/base_widget/base_view.dart';
export 'src/base_widget/base_view_model.dart';
//////////////////////////////
/////////// Constants ////////
export 'src/constant/app_constants.dart';
export 'src/constant/file_constants.dart';
export 'src/constant/input_formatter_constants.dart';
export 'src/constant/regexp_constants.dart';
export 'src/constant/responsivity_constants.dart';
///////////////////////////////////////
////////////// Error Exception ////////
export 'src/exception/error_widget_builder.dart';
export 'src/exception/package_info_exception.dart';
/////////////////////////////////
////////////// Extension ////////
export 'src/extension/context_extension.dart';
export 'src/extension/decoration_extension.dart';
export 'src/extension/file_extension.dart';
export 'src/extension/future_extension.dart';
export 'src/extension/image_extension.dart';
export 'src/extension/int_extension.dart';
export 'src/extension/list_extension.dart';
export 'src/extension/string_extension.dart';
export 'src/extension/widget_extension.dart';
/////////////////////////////////
////////////// Init Practices ////////
export 'src/init/cache/locale_manager.dart';
export 'src/init/navigation/i_navigation_service.dart';
export 'src/init/navigation/navigation_router.dart';
export 'src/init/navigation/navigation_service.dart';
export 'src/init/provider/provider_list.dart';
/////////////////////////////////
////////////// Screens / ONBOARD ////////
export 'src/screen/onboard_screen/model/onboard_model.dart';
export 'src/screen/onboard_screen/view/onboard_view.dart';
export 'src/screen/onboard_screen/viewmodel/onboard_viewmodel.dart';
/////////////////////////////////
////////////// Theme ////////
export 'src/theme/text_theme.dart';
/////////////////////////////////
////////////// Utility ////////
export 'src/utility/device_utility.dart';
export 'src/utility/page_animation/slider_route.dart';
/////////////////////////////////
////////////// Widgets ////////
export 'src/widget/animation_onboard.dart';
export 'src/widget/dynamic_text.dart';
export 'src/widget/random_color_container.dart';
export 'src/widget/space_sized_height_box.dart';
export 'src/widget/space_sized_widht_box.dart';
////////////////////////////////////
////////////////////////////////////
////////////////////////////////////
////////////////////////////////////
// /// A Calculator.
// class Calculator {
//   /// Returns [value] plus 1.
//   int addOne(int value) => value + 1;
// }
